# $Revision: 1.44.2.8 $, $Date: 2008-04-03 19:22:51 $
# TODO: add subpackage for libs
#
Summary:	A browser with gecko engine
Summary(pl.UTF-8):	Przeglądarka na silniku gecko
Name:		kazehakase
Version:	0.4.7
Release:	10
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://dl.sourceforge.jp/kazehakase/25610/%{name}-%{version}.tar.gz
# Source0-md5:	44d7105f394b982661ba0567a0d23b90
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-agent.patch
URL:		http://kazehakase.sourceforge.jp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gnutls-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xulrunner-devel
%requires_eq_to	xulrunner xulrunner-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# we have strict deps for it
%define		_noautoreq	libxpcom.so

%description
Kazehakase is a browser with gecko engine like Epiphany or Galeon.

%description -l pl.UTF-8
Kazehakase jest przeglądarką na silniku gecko podobnie do Epiphany lub
Galeona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	libkazehakasedir=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

# unnecessary
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/%{name}/embed/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README README.ja AUTHORS ChangeLog COPYING.README TODO.ja
%{_sysconfdir}/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/embed
%attr(755,root,root) %{_libdir}/%{name}/embed/*.so
%{_desktopdir}/%{name}.desktop
%{_datadir}/%{name}
%{_pixmapsdir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kazehakase.spec,v $
Revision 1.44.2.8  2008-04-03 19:22:51  glen
- release 10 (xulrunner 1.8.1.13)

Revision 1.44.2.7  2008-02-08 20:01:39  hawk
- release 9 (xulrunner 1.8.1.12)

Revision 1.44.2.6  2007-12-02 12:33:51  hawk
- release 8 (xulrunner 1.8.1.11)

Revision 1.44.2.5  2007-11-27 21:38:45  glen
- rel 7 (xulrunner 1.8.1.10)

Revision 1.44.2.4  2007-11-09 11:57:50  glen
- xulrunner-1_8_1_9-1_20071102_1

Revision 1.44.2.3  2007-10-20 16:27:16  hawk
- release 5 (xulrunner 1.8.1.8)

Revision 1.44.2.2  2007/09/20 19:45:31  glen
- rel 4 (xulrunner 1.8.1.7)

Revision 1.44.2.1  2007/08/28 14:43:28  glen
- rel 3 (xulrunner 1.8.1.6)

Revision 1.44  2007/07/18 16:06:47  hawk
- release 2 (xulrunner 1.8.1.5)

Revision 1.43  2007/07/12 15:54:23  hawk
- updated to 0.4.7
- added agent patch

Revision 1.42  2007/06/09 20:27:49  megabajt
- don't require libxpcom.so
- require xulrunner equal to xulrunner-devel
- release 2

Revision 1.41  2007/05/06 22:46:16  lkrotowski
- up to 0.4.6
- removed merged patch

Revision 1.40  2007/04/11 15:22:36  qboosh
- killed files dup (to check: something missing?)

Revision 1.39  2007/04/11 15:20:15  lkrotowski
- up to 0.4.5
- added patch for correct session saving

Revision 1.38  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.37  2007/02/12 18:09:38  lkrotowski
- dropped firefox/seamonkey dependency for xulrunner
- up to 0.4.4.1

Revision 1.36  2007/02/12 00:48:58  baggins
- converted to UTF-8

Revision 1.35  2006/09/08 09:44:21  hawk
- added bcond to build against SeaMonkey (from lukasz.krotowski [at] gmail [dot] com)

Revision 1.34  2006/08/30 08:02:58  dzeus
- up to 0.4.0

Revision 1.33  2006/08/06 22:41:53  adamg
- updated to 0.3.9; works here

Revision 1.32  2006/05/09 05:43:55  glen
- fix macro

Revision 1.31  2006/05/08 23:48:45  charles
- proper Source0 URL

Revision 1.30  2006/05/08 23:37:22  charles
- updated to 0.3.7 (by Łukasz Krotowski <lukasz.krotowski gmail com>)
- cleanups

Revision 1.29  2006/02/21 08:51:24  zboczuch
- up to 0.3.5 (patch by Łukasz Krotowski - lukasz dot krotowski at gmail dot com)

Revision 1.28  2005/07/30 19:27:28  adamg
- updated to 0.2.9

Revision 1.27  2005/07/25 01:16:41  undefine
- up to 0.2.8

Revision 1.26  2005/02/10 00:23:19  charles
- updated to 0.2.5
- BR mozilla-devel up to >= 1.7

Revision 1.25  2005/02/02 04:16:10  charles
- updated to 0.2.4

Revision 1.24  2004/12/29 23:44:46  charles
- updated to 0.2.3

Revision 1.23  2004/12/22 10:19:40  qboosh
- mozilla epoch

Revision 1.22  2004/12/22 10:13:23  charles
- BR mozilla-devel up to >= 1.6 (see configure.in)

Revision 1.21  2004/12/20 09:32:57  qboosh
- BR: libtool

Revision 1.20  2004/12/17 23:01:08  zbyniu
- __libtoolize (by Kacper Kornet)
- BR: gettext-devel, gtk+2-devel, libstdc++-devel, pkgconfig

Revision 1.19  2004/11/30 07:45:45  paladine
- updated to 0.2.2

Revision 1.18  2004/11/26 09:43:16  jasw
- add missing macro %find_lang, rel 2

Revision 1.17  2004/11/04 20:12:16  jasw
- up to 0.2.1 ver

Revision 1.16  2004/10/10 19:12:53  paladine
- added missing BR: autoconf

Revision 1.15  2004/09/24 19:27:48  havner
- desktop patch, rel 6, wrr

Revision 1.14  2004/09/24 19:17:31  havner
- rel 5 for fixed mozilla_five patch

Revision 1.13  2004/09/24 17:35:42  havner
- rel 4

Revision 1.12  2004/09/22 12:35:02  undefine
- patch to allow build with mozilla 1.7.3.
- still segfault on my workstation :/

Revision 1.11  2004/09/05 09:53:06  adamg
- release 3

Revision 1.10  2004/09/05 09:46:43  adamg
- try to fix build on amd64

Revision 1.9  2004/09/04 21:55:54  adamg
- c++ patch replaced with mozilla_five_home patch (but it could be done
  more saner way).
- release 2

Revision 1.8  2004/08/30 09:23:09  gozda
- ./builder -U , ./builder -U , ./builder -U , argh...

Revision 1.7  2004/08/30 09:22:15  gozda
- Updated to 0.1.9 (damn, thats really fast!)

Revision 1.6  2004/07/30 23:21:49  undefine
- update to 0.1.8.1. kaaaazeeeeehaaakeseeee! :>

Revision 1.5  2004/06/22 21:20:57  qboosh
- unification

Revision 1.4  2004/06/22 11:56:05  djurban
- always check before you commit (and especially send to builder), s/p0/p1

Revision 1.3  2004/06/22 11:53:55  djurban
- build on amd64 as well

Revision 1.2  2004/06/22 11:52:17  djurban
- rel. 2 fixed build with gcc 3.4, added desktopdir to files, sending to ac

Revision 1.1  2004/06/21 18:49:01  undefine
- initital pld version based on included spec
